OBMF="../../src/copbmf/cpp/scopbmf"
COBMF="$OBMF -c"

EVAL="../../src/adj_error.py"
RESULTS="../../paper/figs/sym_block_error.dat"
CYC_RESULTS="../../paper/figs/sym_cyc_block_error.dat"

if [ -f "$RESULTS" ]
then
    rm -f "$RESULTS"
fi

for x in `seq -f %0.2f 0 0.05 0.5`
do
	echo -n "$x " >> "$RESULTS"
	$OBMF -i sym_block_$x.dat -k 6 -o sym_block_$x.out
	$EVAL sym_block_0.00.dat sym_block_$x.out | tr '\n' ' ' >> "$RESULTS"
	$EVAL sym_block_$x.dat sym_block_$x.out >> "$RESULTS"
done

if [ -f "$CYC_RESULTS" ]
then
    rm -f "$CYC_RESULTS"
fi

for x in `seq -f %0.2f 0 0.05 0.5`
do
	echo -n "$x " >> "$CYC_RESULTS"
	$COBMF -i sym_block_$x.dat -k 6 -o sym_cyc_block_$x.out
	$EVAL  sym_block_0.00.dat sym_cyc_block_$x.out | tr '\n' ' ' >> "$CYC_RESULTS"
	$EVAL  sym_block_$x.dat sym_cyc_block_$x.out >> "$CYC_RESULTS"
done

